Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
faiss::gpu::WarpSelect< K, V, Dir, Comp, 1, NumThreadQ, ThreadsPerBlock > Struct Template Reference

Specialization for k == 1 (NumWarpQ == 1) More...

## Public Member Functions
__device__ | WarpSelect (K initK, V initV, int k)
__device__ void | addThreadQ (K k, V v)
__device__ void | checkThreadQ ()
__device__ void | add (K k, V v)
__device__ void | reduce ()
__device__ void | writeOut (K *outK, V *outV, int k)
| Dump final k selected values for this warp out.

## Public Attributes
K | threadK
V | threadV

## Static Public Attributes
static constexpr int | kNumWarps = ThreadsPerBlock / kWarpSize

## Detailed Description

### template<typename K, typename V, bool Dir, typename Comp, int NumThreadQ, int ThreadsPerBlock>
struct faiss::gpu::WarpSelect< K, V, Dir, Comp, 1, NumThreadQ, ThreadsPerBlock >

Specialization for k == 1 (NumWarpQ == 1)

Definition at line 519 of file Select.cuh.

The documentation for this struct was generated from the following file:

- /data/users/hoss/faiss/gpu/utils/Select.cuh